Bug 1574855 - [abrt] ibus: ibus_engine_filter_key_event(): ibus-engine-simple killed by SIGSEGV
Summary: [abrt] ibus: ibus_engine_filter_key_event(): ibus-engine-simple killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4eab4ccaf8cfe07713cc5cbd1fa...
: 1603131 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 07:55 UTC by mithrial
Modified: 2018-07-19 09:18 UTC (History)
5 users (show)

Fixed In Version: ibus-1.5.18-5.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:24:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.93 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: cgroup (351 bytes, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: core_backtrace (8.77 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: dso_list (2.67 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: environ (6.94 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: maps (12.78 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: mountinfo (5.53 KB, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: open_fds (829 bytes, text/plain)
2018-05-04 07:55 UTC, mithrial
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-05-04 07:56 UTC, mithrial
no flags Details

Description mithrial 2018-05-04 07:55:39 UTC
Version-Release number of selected component:
ibus-1.5.18-4.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-simple
crash_function: ibus_engine_filter_key_event
executable:     /usr/libexec/ibus-engine-simple
journald_cursor: s=ce86e915be9a48cc85f791a1e1d3f294;i=dd2c4;b=6e940b759e4d42298f397bfac389dbf6;m=61e13a41;t=56b5c982e5928;x=aa15b4252c3e3984
kernel:         4.16.6-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 ibus_engine_filter_key_event at ibusengine.c:933
 #1 ibus_engine_service_method_call at ibusengine.c:994
 #2 call_in_idle_cb at gdbusconnection.c:4851
 #8 ibus_main at ibusshare.c:301
 #9 _vala_main at main.c:376

Comment 1 mithrial 2018-05-04 07:55:44 UTC
Created attachment 1431068 [details]
File: backtrace

Comment 2 mithrial 2018-05-04 07:55:46 UTC
Created attachment 1431069 [details]
File: cgroup

Comment 3 mithrial 2018-05-04 07:55:47 UTC
Created attachment 1431070 [details]
File: core_backtrace

Comment 4 mithrial 2018-05-04 07:55:49 UTC
Created attachment 1431071 [details]
File: cpuinfo

Comment 5 mithrial 2018-05-04 07:55:51 UTC
Created attachment 1431072 [details]
File: dso_list

Comment 6 mithrial 2018-05-04 07:55:53 UTC
Created attachment 1431073 [details]
File: environ

Comment 7 mithrial 2018-05-04 07:55:54 UTC
Created attachment 1431074 [details]
File: exploitable

Comment 8 mithrial 2018-05-04 07:55:55 UTC
Created attachment 1431075 [details]
File: limits

Comment 9 mithrial 2018-05-04 07:55:57 UTC
Created attachment 1431076 [details]
File: maps

Comment 10 mithrial 2018-05-04 07:55:58 UTC
Created attachment 1431077 [details]
File: mountinfo

Comment 11 mithrial 2018-05-04 07:55:59 UTC
Created attachment 1431078 [details]
File: open_fds

Comment 12 mithrial 2018-05-04 07:56:01 UTC
Created attachment 1431079 [details]
File: proc_pid_status

Comment 13 fujiwara 2018-05-07 04:42:49 UTC
Why did you delete the shortcut keys in ibus-setup -> Emoji -> "Keyboard Shortcuts" -> "Emoji choice:" ?

Comment 14 Fedora Update System 2018-05-07 05:46:55 UTC
ibus-1.5.18-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-00d1d584cb

Comment 15 Fedora Update System 2018-05-07 16:02:34 UTC
ibus-1.5.18-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-00d1d584cb

Comment 16 Fedora Update System 2018-05-11 01:24:16 UTC
ibus-1.5.18-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Tim Hughes 2018-07-19 09:18:35 UTC
*** Bug 1603131 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.